# Some extra environment variables
export PATH="${HOME}/.local/bin:${PATH}"

# Because I use zsh to start graphical sessions
[[ -v ZSH_GRAPHICAL_LOGIN ]] || ZSH_GRAPHICAL_LOGIN=true
if [[ -o login ]] && [[ "${ZSH_GRAPHICAL_LOGIN}" = 'true' ]] ; then
    export LC_ALL=en_US.UTF-8
    eval "$(gnome-keyring-daemon --start 2>/dev/null)"
    export SSH_AUTH_SOCK="${XDG_RUNTIME_DIR}/gcr/ssh"
    export SSH_ASKPASS=/usr/lib/seahorse/ssh-askpass

    if ! [[ -v WAYLAND_DISPLAY ]] && [ "${XDG_VTNR}" -eq 1 ]; then
        source "${HOME}/.config/river/river-env.sh"
        exec river
    fi
fi
